org.codehaus.plexus.classworlds.strategy

## Class SelfFirstStrategy

- java.lang.Object
- - org.codehaus.plexus.classworlds.strategy.AbstractStrategy
  - - org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy

All Implemented Interfaces:
  Strategy

    public class SelfFirstStrategy
    extends AbstractStrategy

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`realm`

### Constructor Summary

Constructors
Constructor and Description
`SelfFirstStrategy(ClassRealm realm)`

### Method Summary

Methods
`URL` `getResource(String name)`
`Enumeration<URL>` `getResources(String name)`
`Class<?>` `loadClass(String name)`

### Methods inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`combineResources, getNormalizedResource, getRealm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelfFirstStrategy

    public SelfFirstStrategy(ClassRealm realm)

### Method Detail

#### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### getResource

    public URL getResource(String name)

#### getResources

    public Enumeration<URL> getResources(String name)
                                  throws IOException

Throws:
  `IOException`